[diffoscope] 02/03: Also test on autopkgtest return code when passing a invalid command line flag

Mattia Rizzolo mattia at debian.org
Wed Aug 31 16:28:12 CEST 2016


This is an automated email from the git hooks/post-receive script.

mattia pushed a commit to branch master
in repository diffoscope.

commit 25c05761b24642a608a23612a553c5b93359b982
Author: Mattia Rizzolo <mattia at debian.org>
Date:   Wed Aug 31 14:10:00 2016 +0000

    Also test on autopkgtest return code when passing a invalid command line flag
---
 debian/tests/basic-command-line | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/debian/tests/basic-command-line b/debian/tests/basic-command-line
index c88b11b..f8b0c98 100755
--- a/debian/tests/basic-command-line
+++ b/debian/tests/basic-command-line
@@ -23,6 +23,12 @@ if [ $? -ne 1 ]; then
 	exit 1
 fi
 
+diffoscope --thisflagdoesntexistandwontexist
+if [ $? -ne 2 ]; then
+	echo "Exit code was different from 2 when passing a non-existent flag." >&2
+	exit 1
+fi
+
 if [ -n "${TEMP:-}" ]; then
 	rm -rf "$ADTTMP"
 fi

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/reproducible/diffoscope.git


More information about the diffoscope mailing list